> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List user skills



## OpenAPI

````yaml api-reference/openapi.v1.json GET /skills
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /skills:
    get:
      tags:
        - skills
      summary: List user skills
      operationId: listUserSkills
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillListResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SkillListResponse:
      additionalProperties: false
      properties:
        skills:
          items:
            $ref: '#/components/schemas/SkillSummary'
          type: array
      required:
        - skills
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    SkillSummary:
      additionalProperties: false
      properties:
        description:
          minLength: 1
          type: string
        diagnostics:
          items:
            $ref: '#/components/schemas/Diagnostic'
          type: array
        slug:
          minLength: 1
          type: string
        source:
          enum:
            - user
            - repo
          type: string
      required:
        - source
        - slug
      type: object
    Diagnostic:
      additionalProperties: false
      properties:
        code:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        path:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````